PTHREAD_SCHEDPARAM(3)

NAME
pthread_setschedparam, pthread_getschedparam - thread scheduling parameter manipulation

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_setschedparam(pthread_t thread, int policy, const struct sched_param *param);
int
pthread_getschedparam(pthread_t thread, int *policy, struct sched_param *param);

DESCRIPTION
The pthread_setschedparam() and pthread_getschedparam() functions set and get the scheduling parameters of individual threads. The scheduling policy for a thread can either be SCHED_FIFO (first in, first out), SCHED_RR (round-robin), or SCHED_OTHER (timesharing). Valid thread priorities (accessed via param->sched_priority) must be within the range returned by the sched_get_priority_min(2) and sched_get_priority_max(2) system calls.

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error.

ERRORS
The pthread_setschedparam() function will fail if:

[EINVAL]
    Invalid value for policy.

[ENOTSUP]
    Invalid value for scheduling parameters.

[ESRCH]
    Non-existent thread thread.

The pthread_getschedparam() function will fail if:

[ESRCH]
    Non-existent thread thread.

SEE ALSO
sched_get_priority_max(2), sched_get_priority_min(2)

STANDARDS
The pthread_setschedparam() and pthread_getschedparam() functions conform to susv2.